Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.versification.system
Class SystemKJVA

    java.lang.Object
      org.crosswire.jsword.versification.Versification
          org.crosswire.jsword.versification.system.SystemKJVA

All Implemented Interfaces:
  Serializable, ReferenceSystem

    public class SystemKJVA

extends Versification

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`, Serialized Form

Field Summary
`(package private) static BibleBook[]` | `BOOKS_NT`
`(package private) static BibleBook[]` | `BOOKS_OT`
`(package private) static int[][]` | `LAST_VERSE_NT`
`(package private) static int[][]` | `LAST_VERSE_OT`
`private static long` | `serialVersionUID` Serialization ID
`static String` | `V11N_NAME`

Constructor Summary
`SystemKJVA()` Build the "KJVA" Versification.

Method Summary

Methods inherited from class org.crosswire.jsword.versification.Versification
`add, containsBook, decodeOrdinal, distance, dump, getAllVerses, getBook, getBook, getBookCount, getBookCount, getBookIterator, getBookName, getChapterCount, getCount, getFirstBook, getLastBook, getLastChapter, getLastVerse, getLongName, getName, getNextBook, getOrdinal, getOrdinal, getPreferredName, getPreviousBook, getShortName, getTestament, getTestamentOrdinal, isAdjacentBook, isAdjacentChapter, isAdjacentVerse, isBook, isBookIntro, isChapterIntro, isEndOfBook, isEndOfChapter, isIntro, isSameBook, isSameChapter, isStartOfBook, isStartOfChapter, max, maximumOrdinal, min, next, optimize, patch, subtract, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V11N_NAME

    public static final String V11N_NAME

See Also:
  Constant Field Values

### BOOKS_OT

    static final BibleBook[] BOOKS_OT

### BOOKS_NT

    static final BibleBook[] BOOKS_NT

### LAST_VERSE_OT

    static final int[][] LAST_VERSE_OT

### LAST_VERSE_NT

    static final int[][] LAST_VERSE_NT

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### SystemKJVA

    SystemKJVA()

  Build the "KJVA" Versification.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD